## ros-melodic-mrpt-bridge 1.0.1

=== debian/changelog ===
ros-melodic-mrpt-bridge (1.0.1-1bionic) bionic; urgency=high

  * Add License file
  * Formatting fixes
  * Update README.md
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 02 May 2022 22:00:00 -0000

ros-melodic-mrpt-bridge (1.0.0-1bionic) bionic; urgency=high

  * update dep to mrpt2
  * Merge pull request #12 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/12> from MRo47/ros1
    Fixed build error for ubuntu 20.04, ros-noetic in imu.cpp
  * fixed bug (array to vec conversion -> use auto)
  * Build with opencv 4
  * fix build against mrpt2
  * update gitignore; add PUBLIC flags to deps
  * Quaternion singularity
    Check for degenerate case when converting quaternion to angles.
  * Ensure the real part of quaternions is real
    Fixes: https://github.com/mrpt-ros-pkg/pose_cov_ops/issues/7
  * time convert: fix round error in nanoseconds
  * Fix build against mrpt-2
  * Copyright notices, clang-format.
    Also, avoid some bad practices: C includes vs C++ ones; using namespace
    in headers.
  * fix build against mrpt2
    Fixed #5 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/5>
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Jose-Luis Blanco, Julian Lopez Velasquez, MRo47, Mathieu Mege, cmorcan

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Mar 2022 23:00:00 -0000

ros-melodic-mrpt-bridge (0.1.25-1bionic) bionic; urgency=high

  * Merge pull request #3 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/3> from tuw-robotics/master
    TPose2D to geometry_msgs::Pose
  * Update pose.h
  * TPose2D Conversion to geometry_msgs::Pose added
  * Merge pull request #2 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/2> from clalancette/fix-deb-stretch
    Fix deb stretch
  * Fix build warnings for signed/unsigned comparison.
    The width and height of the OccupancyGrid metadata are both
    uint32, so make the loop iterator type match.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Workaround Debian stretch not properly setting up Qt dependencies.
    libpcl-dev really has a dependency on Qt5Widgets, but that
    is not expressed by the Debian Stretch packages.  We workaround
    it here by forcing the dependency in both the package.xml and
    the CMakeLists.txt
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette, Jose Luis Blanco-Claraco, Markus Bader

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 10 Jul 2018 22:00:00 -0000

ros-melodic-mrpt-bridge (0.1.24-1bionic) bionic; urgency=high

  * fix missing namespace
  * Reorganize build farm icons
  * Update README.md
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-bridge (0.1.23-1bionic) bionic; urgency=high

  * make catkin_lint clean
  * ROS build farm badges and links
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 07 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-bridge (0.1.22-1bionic) bionic; urgency=high

  * Release as an independent repository outside of "mrpt_navigation"

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 17 May 2018 22:00:00 -0000

ros-melodic-mrpt-bridge (0.1.21-1bionic) bionic; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix warnings
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * fix build errors against mrpt master. Closes #92 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/92>
  * Fix install .h files in mrpt-bridge
    Closes #91 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/91>
  * Fix CMake error (Closes #90 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/90>)
  * marker messages are also logged as beacons if needed
  * marker msgs added
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge pull request #83 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/83> from raghavendersahdev/master
    Extending ros_bridge to playback MRPT datasets
  * Merge branch 'master' into master
  * Work done upto August 25 : added CObservationRange
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * Work done upto August 21: added stereo image support to mrpt bridge
  * small change moved beacon.h to its correct place
  * Work done from August 17 to August 18 : added Tester function test the mrpt-ros bridge and publishing ros message after conversion
  * changed test_Bridge file, testing the bridge in a different way
  * Work done from August 17 to August 18 : added a tester function of the bridge, error while compiling currently
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Work done from August 13 to August 14 : added image mrpt-ros bridge and comments
  * Work done upto August 13: added mrpt_bridge conversions for range, GPS, IMU under construction; pending: mrpt_bridge for images and comments
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Comply to clang warnings

